From 554837220f8b38131b51aa7d56374c3235209ca0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 01:27:46 +0000
Subject: [PATCH 729/2232] Add enum classifier for error messages


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 4fbc6e2..22ae58e 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -355,6 +355,8 @@ fn describe(cx: &mut Check, ty: &Type) -> String {
         Type::Ident(ident) => {
             if cx.types.structs.contains_key(ident) {
                 "struct".to_owned()
+            } else if cx.types.enums.contains_key(ident) {
+                "enum".to_owned()
             } else if cx.types.cxx.contains(ident) {
                 "C++ type".to_owned()
             } else if cx.types.rust.contains(ident) {

